#
# spec file for package razor-agents (Version 2.36)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  perl-Digest-Nilsimsa perl-Digest-SHA1 perl-Net-DNS perl-URI

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl perl-Digest-Nilsimsa perl-Digest-SHA1 perl-Net-DNS perl-URI rpm

Name:         razor-agents
Summary:      SPAM catalogue inquiry and update tool
Requires:     perl-razor-agents
Autoreqprov:  on
Version:      2.36
Release:      59.4
URL:          http://razor.sourceforge.net/
Source:       http://belnet.dl.sourceforge.net/sourceforge/razor/%{name}-%{version}.tar.bz2
Patch1:       Razor2.patch
Patch2:       razor-fix.patch
License:      Artistic License
Group:        Productivity/Networking/Email/Utilities
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Vipul's Razor is a distributed, collaborative, spam detection and
filtering network. Razor establishes a distributed and constantly
updating catalogue of spam in propagation. This catalogue is used by
clients to filter out known spam. On receiving a spam, a Razor
Reporting Agent (run by an end-user or a troll box) calculates and
submits a 20-character unique identification of the spam (a SHA Digest)
to its closest Razor Catalogue Server. The Catalogue Server echos this
signature to other trusted servers after storing it in its database.
Prior to manual processing or transport-level reception, Razor
Filtering Agents (end-users and MTAs) check their incoming mail against
a Catalogue Server and filter out or deny transport in case of a
signature match. Catalogued spam, once identified and reported by a
Reporting Agent, can be blocked out by the rest of the Filtering Agents
on the network.

Can be used as one of the spamassassin rules.



Authors:
--------
    Vipul Ved Prakash <mail@vipul.net>

%package -n perl-razor-agents
Group:        Development/Languages/Perl
Summary:      The required perl modules for razor-agents
Requires:     perl-Net-DNS perl-Digest-SHA1 perl-Digest-Nilsimsa perl-URI perl-Digest-HMAC perl-HTML-SimpleParse perl-XML-Simple
Requires:     perl = %{perl_version}
Autoreqprov:  on

%description -n perl-razor-agents
razor-agents is are little programs to retrieve or update information
from the razor <http://razor.sourceforge.net/> network to exchange
signatures of SPAM. This package contains the required perl modules.



Authors:
--------
    Vipul Ved Prakash <mail@vipul.net>

%prep
%setup
patch -s -p0 -d lib/Razor2 < %{PATCH1}
%patch2 -p1
find -name "*.orig" -type f | xargs -r rm -v

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
#install -o root -g root -m 0755 -d $RPM_BUILD_ROOT/etc
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
PERL5LIB=$RPM_BUILD_ROOT/%{perl_vendorarch} $RPM_BUILD_ROOT/usr/bin/razor-client
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
for i in razor-agent.conf razor-whitelist razor-agents ; do
pod2man docs/$i.pod $RPM_BUILD_ROOT/usr/share/man/man5/$i.5
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -n perl-razor-agents
%defattr(-,root,root)
%doc BUGS CREDITS Changes FAQ INSTALL README
%{_mandir}/man3/Razor*
#/etc/razor-agent.conf
%{perl_vendorarch}/Razor2
%{perl_vendorarch}/auto/Razor2
%{perl_vendorarch}/auto/razor-agents
/var/adm/perl-modules/%{name}

%files
%defattr(-,root,root)
%{_mandir}/man1/razor*
%{_mandir}/man5/*
/usr/bin/razor*

%changelog -n razor-agents
* Tue Jun 21 2005 - choeger@suse.de
- Bugfix ID#91169 - VUL-0: razor-agents: various security fixes
* Mon Mar 22 2004 - ro@suse.de
- remove .orig backup files
* Tue Dec 09 2003 - ro@suse.de
- removed perl-Net-Ping from requires (is in perl bundle)
* Tue Dec 02 2003 - garloff@suse.de
- Add missing dependencies on perl modules.
* Thu Oct 30 2003 - choeger@suse.de
- updated to 2.36
- added Razor2.patch to solve Bugzilla ID#32719,
  spamassassin skips razor checks
  see http://spamassassin.taint.org/faq/index.cgi?req=show&file=faq02.006.htp
  for more details
- added norootforbuild
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Fri Aug 01 2003 - ro@suse.de
- remove man5 hacks from Makefile.PL and create manually
* Mon Jul 28 2003 - coolo@suse.de
- fix file list
* Mon Jul 14 2003 - garloff@suse.de
- Patch Makefile that the perl Makefile.PL produces. Ugly :-(
* Mon Jul 14 2003 - garloff@suse.de
- Install to %%perl_vendorarch, use %%perl_process_packlist.
- Update to razor-agents-2.34:
  * razor-check handles messages gracefully now, when no signature
  can be computed
  * no server sorting by distance any more
  * string splitting fix
  * getpwuid() to determine user's home dir
  * fallback to /etc/razor is no razor home can be found
  * error messages improved
  * server discovery process improved
* Mon Jun 23 2003 - ro@suse.de
- added directories to filelist
* Wed Apr 02 2003 - garloff@suse.de
- Add missing symlinks
* Mon Mar 31 2003 - garloff@suse.de
- Fix file list
* Sun Mar 30 2003 - garloff@suse.de
- Update to version 2.22:
  * Better whitespace handling
  * Minor speedups (deHTML)
* Mon Oct 07 2002 - garloff@suse.de
- Add dependency on perl-URI. [Bug #20548]
* Fri Aug 09 2002 - mls@suse.de
- use sitearch macro
* Fri Aug 02 2002 - garloff@suse.de
- Updated to version 2.126:
  * Less runtime warnings
  * Bugfix WRT revoke/report
  * Whitelist check looks at all Received: headers now
  * Improved logic for spam detection
* Thu Aug 01 2002 - ro@suse.de
- fixed man5 installation
* Mon Jul 29 2002 - mls@suse.de
- fixed neededforbuild for perl-5.8.0
* Wed Jul 17 2002 - garloff@suse.de
- Update to version 2.122: Many improvements and new features.
  Check http://razor.sourceforge.net/docs/whatsnew.html
* Thu May 09 2002 - garloff@suse.de
- Build package razor-agents-1.20
- Split into razor-agents and perl-razor-agents
- Fix installation of razor.conf(5) and razor-whitelist(5)
  manpages
- Provide sample razor.conf
